package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouGroup;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 广告组信息
 * @Author: jeecg-boot
 * @Date: 2019-07-23
 * @Version: V1.0
 */
public interface IKuaiShouGroupService extends IService<KuaiShouGroup> {

    void getGroupList(String accessToken, Long accountId);

    void getGroupByUnitId(String accessToken, Long accountId, Long unitId);

    void getCreativeByUnit(String accessToken, Long accountId, Long unitId);

    List<KuaiShouGroup> queryUnitInfoByAccountId(Long accountId);

    /**
     * 根据计划Id删除全部广告组
     *
     * @param
     * @return void
     * @throws
     * @author ZHAOXA
     */
    void delAllGroupByCampaignId(Long accountId, Long campaignId);

    void getGroupListByPage(String accessToken, Long accountId, Long campaignId, int page);

    List<KuaiShouGroup> queryUnitInfoByCampaignId(Long accountId, Long campaignId);

    KuaiShouGroup selectGroupByUnitId(Long accountId, Long unitId);

    Integer queryToDayBuiltCount(Long accountId,Integer unitType);

    void deleteByAccountId(Long accountId);

    Integer getNewDataByAccountIdAndDate(Long accountId, String statDate);

    Map<Long, JSONObject> getBidMapByMap(Long accountId, Map<Long, Long> unitIdMap);
}
